/*
**  $VER: import_adm.rexx 1.00 (11.02.96)
**
**   1995 Jrg Krause
**
**  PROGRAMNAME:
**      import_adm.rexx
**
**  FUNCTION:
**      Imports a database from ADM to Address-Book.
**
**  $HISTORY:
**
**   11.02.96 : 1.00 : initial release
*/

options results

if ~show(ports, ABOOK_SERVER) then
        exit 10

if ~show(ports, ADM.1) then
        exit 20

ADDRESS 'ADM.1' ADDRINMEM

numadr = RESULT

ADDRESS 'ADM.1' ACTIVATEFIRST

DO FOR numadr

        ADDRESS 'ADM.1' GETADDRESS ADMADDRESS

        ADDR.TITLE    = ADMADDRESS.SALUTATION
        ADDR.LAST     = ADMADDRESS.LASTNAME
        ADDR.FIRST    = ADMADDRESS.FIRSTNAME
        ADDR.BIRTH    = ADMADDRESS.BIRTHDAY

        ADDR.ADDRESSES.COUNT     = 1
        ADDR.ADDRESSES.1.ADDRESS = "empty"
        ADDR.ADDRESSES.1.STREET  = ADMADDRESS.ADDRESS1
        ADDR.ADDRESSES.1.PC      = ADMADDRESS.POSTCODE
        ADDR.ADDRESSES.1.TOWN    = ADMADDRESS.CITY
        ADDR.ADDRESSES.1.COUNTRY = ADMADDRESS.COUNTRY
        ADDR.ADDRESSES.1.STATE   = ""
        ADDR.ADDRESSES.1.FAX     = ADMADDRESS.FAX

        ADDR.ADDRESSES.1.PHONE.COUNT = 1

        ADDR.ADDRESSES.1.PHONE.1.NUM = ADMADDRESS.TELEPHONE
        ADDR.ADDRESSES.1.PHONE.1.DES = ""

        ADDR.EMAIL.COUNT = 2
        ADDR.EMAIL.1.ADR   = ADMADDRESS.EMAIL1
        ADDR.EMAIL.1.DES   = ""
        ADDR.EMAIL.2.ADR   = ADMADDRESS.EMAIL2
        ADDR.EMAIL.2.DES   = ""


        ADDR.COMMENT.COUNT = 1
        ADDR.COMMENT.1     = ADMADDRESS.REMARK1

        ADDRESS 'ABOOK_SERVER'

        'ADD STEM=ADDR.'

        ADDRESS 'ADM.1' ACTIVATENEXT

END

ADDRESS 'ABOOK_SERVER'

'SAVE'

EXIT

